# Uses of Interface
org.w3c.dom.Attr

Packages that use Attr
Package
Description
javax.imageio.metadata
A package of the Java Image I/O API dealing with reading and writing metadata.
org.w3c.dom
Provides the interfaces for the Document Object Model (DOM).

## Uses of Attr in javax.imageio.metadata

Methods in javax.imageio.metadata that return Attr
Modifier and Type
Method
Description
`Attr`
IIOMetadataNode.`getAttributeNode(String name)`
`Attr`
IIOMetadataNode.`getAttributeNodeNS(String namespaceURI, String localName)`
Equivalent to `getAttributeNode(localName)`.
`Attr`
IIOMetadataNode.`removeAttributeNode(Attr oldAttr)`
`Attr`
IIOMetadataNode.`setAttributeNode(Attr newAttr)`
`Attr`
IIOMetadataNode.`setAttributeNodeNS(Attr newAttr)`
Equivalent to `setAttributeNode(newAttr)`.
Methods in javax.imageio.metadata with parameters of type Attr
Modifier and Type
Method
Description
`Attr`
IIOMetadataNode.`removeAttributeNode(Attr oldAttr)`
`Attr`
IIOMetadataNode.`setAttributeNode(Attr newAttr)`
`Attr`
IIOMetadataNode.`setAttributeNodeNS(Attr newAttr)`
Equivalent to `setAttributeNode(newAttr)`.
`void`
IIOMetadataNode.`setIdAttributeNode(Attr idAttr, boolean isId)`
This DOM Level 3 method is not supported for `IIOMetadataNode` and will throw a `DOMException`.

## Uses of Attr in org.w3c.dom

Methods in org.w3c.dom that return Attr
Modifier and Type
Method
Description
`Attr`
Document.`createAttribute(String name)`
Creates an `Attr` of the given name.
`Attr`
Document.`createAttributeNS(String namespaceURI, String qualifiedName)`
Creates an attribute of the given qualified name and namespace URI.
`Attr`
Element.`getAttributeNode(String name)`
Retrieves an attribute node by name.
`Attr`
Element.`getAttributeNodeNS(String namespaceURI, String localName)`
Retrieves an `Attr` node by local name and namespace URI.
`Attr`
Element.`removeAttributeNode(Attr oldAttr)`
Removes the specified attribute node.
`Attr`
Element.`setAttributeNode(Attr newAttr)`
Adds a new attribute node.
`Attr`
Element.`setAttributeNodeNS(Attr newAttr)`
Adds a new attribute.
Methods in org.w3c.dom with parameters of type Attr
Modifier and Type
Method
Description
`Attr`
Element.`removeAttributeNode(Attr oldAttr)`
Removes the specified attribute node.
`Attr`
Element.`setAttributeNode(Attr newAttr)`
Adds a new attribute node.
`Attr`
Element.`setAttributeNodeNS(Attr newAttr)`
Adds a new attribute.
`void`
Element.`setIdAttributeNode(Attr idAttr, boolean isId)`
If the parameter `isId` is `true`, this method declares the specified attribute to be a user-determined ID attribute .